qpid::sys::SystemInfo Namespace Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
qpid::sys::SystemInfo Namespace Reference

Retrieve information about the system we are running on. More...

## Functions
long | concurrency ()
| Estimate available concurrency, e.g.
bool | getLocalHostname (Address &address)
| Get the local host name and set it in the specified.
void | getLocalIpAddresses (uint16_t port, std::vector< Address > &addrList)
void | getSystemId (std::string &osName, std::string &nodeName, std::string &release, std::string &version, std::string &machine)
| Retrieve system identifiers and versions.
uint32_t | getProcessId ()
| Get the process ID of the current process.
uint32_t | getParentProcessId ()
| Get the process ID of the parent of the current process.
std::string | getProcessName ()
| Get the name of the current process (i.e.

## Detailed Description

Retrieve information about the system we are running on.

Results may be dependent on OS/hardware.

## Function Documentation

long qpid::sys::SystemInfo::concurrency | ( |  | ) |

Estimate available concurrency, e.g.

number of CPU cores. -1 means estimate not available on this platform.

bool qpid::sys::SystemInfo::getLocalHostname | ( | Address & | address | ) |

Get the local host name and set it in the specified.

Returns false if it can't be obtained and sets errno to any error value.

void qpid::sys::SystemInfo::getLocalIpAddresses | ( | uint16_t | port,
|  | std::vector< Address > & | addrList
| ) |  |

uint32_t qpid::sys::SystemInfo::getParentProcessId | ( |  | ) |

Get the process ID of the parent of the current process.

uint32_t qpid::sys::SystemInfo::getProcessId | ( |  | ) |

Get the process ID of the current process.

std::string qpid::sys::SystemInfo::getProcessName | ( |  | ) |

Get the name of the current process (i.e.

the name of the executable)

void qpid::sys::SystemInfo::getSystemId | ( | std::string & | osName,
|  | std::string & | nodeName,
|  | std::string & | release,
|  | std::string & | version,
|  | std::string & | machine
| ) |  |

Retrieve system identifiers and versions.

This is information that can generally be retrieved via POSIX uname().

Parameters:

  osName | Receives the OS name; e.g., GNU/Linux or Windows
  nodeName | Receives the nodename. This may or may not match the set hostname from getLocalHostname().
  release | Receives the OS release identifier.
  version | Receives the OS release version (kernel, build, sp, etc.)
  machine | Receives the hardware type.